export const initialState = {
	basket:[],
	user: null,
};

export const getBasketTotal = (basket) =>
	basket?.reduce((amount, item) => item.price+amount, 0);


const reducer = (state, action) => {
	console.log(action);

	switch(action.type){
		case 'ADD_TO_BASKET':
			//logic to add
			return { 
				...state,
				basket: [...state.basket, action.item]
			};

		case 'REMOVE_FROM_BASKET':
			// Remove element from basket:
			let newBasket = [...state.basket];

			const index = state.basket.findIndex((basketItem) => basketItem.id === action.id)

			if (index>= 0){
				// item exist in basket, remove it:
				newBasket.splice(index, 1);
			} else {
				console.warn(
					'cant remove product (id : ${action.id}) as its not in list')
			}

			return{...state, basket: newBasket,};

		case 'SET_USER':
			return{
				...state,
				user: action.user
			}


		default:
			return state;
	}
}

export default reducer;